struct VS_IN
{
	float3 pos : POSITION;
	float4 color : COLOR;
};

struct PS_IN
{
	float4 pos : SV_POSITION;
	float4 color : COLOR;
};

cbuffer Transforms
{
	//row_major float4x4 worldViewProj;
	row_major float4x4 view;
	row_major float4x4 projection;
	row_major float4x4 world;
	// row_major float4x4 worldInvTranspose;
}

PS_IN VS( VS_IN input )
{
	PS_IN output;
	output.pos = mul(float4(input.pos,1), world * view * projection);
	output.pos.z -= 0.05;
	output.color = input.color;
	return output;
}

float4 PS( PS_IN input ) : SV_TARGET
{
	/*
	float4 color = tex2D( screen, inCoord.xy); 
    color = color + offsetBrightness; 
    color = color * (1.0 + offsetContrast); */
    return float4(input.color);
}

technique basic
{
	pass p0
	{
		//SetGeometryShader(CompileShader(gs_4_0, GS()));
		SetVertexShader(CompileShader(vs_4_0, VS()));
		SetPixelShader(CompileShader(ps_4_0, PS()));
		//VertexShader = compile vs_4_0 VS();
		//PixelShader = compile ps_4_0 PS();
	}
}
